Bug 57435 - kernel-2.4.16-0.10.i686.rpm unresolved symbols in sis.o
kernel-2.4.16-0.10.i686.rpm unresolved symbols in sis.o
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-12 11:16 EST by Valdis Kletnieks
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-05 04:23:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2001-12-12 11:16:24 EST
Description of Problem: Unresolved symbols in sis.o


Version-Release number of selected component (if applicable):
2.4.16-0.10

How Reproducible:
rpm -Fv kernel-2.4.16-0.10.i686.rpm

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
Preparing packages for installation...
kernel-2.4.16-0.10
depmod: *** Unresolved symbols in
/lib/modules/2.4.16-0.10/kernel/drivers/char/drm/sis.o
depmod:         sis_malloc_Ra3329ed5
depmod:         sis_free_Rced25333



Expected Results:
No unresolved symbols


Additional Information:
Comment 1 Valdis Kletnieks 2001-12-13 12:18:47 EST
Still present in rawhide  kernel-2.4.16-0.11.i686.rpm
Comment 2 Som-Som 2002-11-05 04:22:53 EST
It is also true for RH 8.0, kernel 2.4.18-14
Comment 3 Arjan van de Ven 2002-11-05 04:41:27 EST
this is why you need to run modprobe and not insmod; sis.o requires sisfb.o to
be loaded first (and modprobe resolves that dependency)

Note You need to log in before you can comment on or make changes to this bug.